#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");

SYMBOL_CRC(drm_gem_shmem_create, 0x6aff842f, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0x2749fa86, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0x13013bf7, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0x09c2267b, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0x1ac968c4, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0x038e09e7, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0xf1308304, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0xf8e15805, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0x1d1a74c1, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0x931275a2, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0x19998311, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0x3e95a273, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0x65e9aa0e, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0x8b637830, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0x46133e1c, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0x87ca37b1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1c37fe9, "vmf_insert_pfn" },
	{ 0x545e47, "ww_mutex_lock_interruptible" },
	{ 0x8fa31da4, "vmemmap" },
	{ 0x7aecc562, "drm_gem_get_pages" },
	{ 0x399a9b5, "dma_buf_vmap" },
	{ 0x43a4938f, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x75b78159, "invalidate_mapping_pages" },
	{ 0xed29d456, "ww_mutex_unlock" },
	{ 0xa962193c, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0x88033b42, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x7bc6855b, "drm_gem_create_mmap_offset" },
	{ 0xb32bec89, "drm_gem_object_init" },
	{ 0x91100935, "dev_driver_string" },
	{ 0xe7372826, "drm_gem_private_object_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x1c83147e, "drm_gem_vm_close" },
	{ 0xc1fc055b, "drm_gem_vm_open" },
	{ 0xb6de5caf, "drm_gem_object_release" },
	{ 0xd13ff42, "ww_mutex_lock" },
	{ 0x100d2c9f, "vmap" },
	{ 0xc53cf26e, "drm_gem_handle_create" },
	{ 0x321d89c8, "__drm_dev_dbg" },
	{ 0x59340191, "drm_prime_pages_to_sg" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0xfd617da2, "dma_buf_vunmap" },
	{ 0xc3ce2288, "shmem_truncate_range" },
	{ 0xd2d42a9f, "drm_printf" },
	{ 0x8883f54c, "dma_map_sgtable" },
	{ 0xcf103299, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0x682eaac9, "dma_unmap_sg_attrs" },
	{ 0x2ee7700e, "kmalloc_trace" },
	{ 0x679c5f8a, "drm_gem_put_pages" },
	{ 0xc57e48be, "drm_gem_private_object_fini" },
	{ 0x1ad5e728, "kmalloc_caches" },
	{ 0xb83bd5aa, "drm_prime_gem_destroy" },
	{ 0x27420c59, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "956E037B9195CF3B3B06D5D");
MODULE_INFO(rhelversion, "9.5");
