#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iommufd_device_bind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_has_group, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_unbind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_ictx, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_id, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_create, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_destroy, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_unpin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_pin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_rw, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_get, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_file, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_fd, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_put, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_get_id, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_set_no_iommu, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_create, "_gpl", "IOMMUFD_VFIO");

SYMBOL_CRC(iommufd_device_bind, 0xd0532133, "_gpl");
SYMBOL_CRC(iommufd_ctx_has_group, 0x7aec8022, "_gpl");
SYMBOL_CRC(iommufd_device_unbind, 0x617fe1b6, "_gpl");
SYMBOL_CRC(iommufd_device_to_ictx, 0xc18a4e1e, "_gpl");
SYMBOL_CRC(iommufd_device_to_id, 0x99091eb8, "_gpl");
SYMBOL_CRC(iommufd_device_attach, 0x1d7f66de, "_gpl");
SYMBOL_CRC(iommufd_device_replace, 0x7a9d293e, "_gpl");
SYMBOL_CRC(iommufd_device_detach, 0xaff69f27, "_gpl");
SYMBOL_CRC(iommufd_access_create, 0xf93773bb, "_gpl");
SYMBOL_CRC(iommufd_access_destroy, 0x829010d4, "_gpl");
SYMBOL_CRC(iommufd_access_detach, 0x5fd5614d, "_gpl");
SYMBOL_CRC(iommufd_access_attach, 0xad3aeb6e, "_gpl");
SYMBOL_CRC(iommufd_access_replace, 0x0edb8a25, "_gpl");
SYMBOL_CRC(iommufd_access_unpin_pages, 0xba6fd7b6, "_gpl");
SYMBOL_CRC(iommufd_access_pin_pages, 0xfe388119, "_gpl");
SYMBOL_CRC(iommufd_access_rw, 0x4feb2537, "_gpl");
SYMBOL_CRC(iommufd_ctx_get, 0x272fe33d, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_file, 0x5c933f59, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_fd, 0xfc348427, "_gpl");
SYMBOL_CRC(iommufd_ctx_put, 0xa5555cc4, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_get_id, 0xc2b38011, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_set_no_iommu, 0xfdc025a4, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_create, 0x80a4f4cf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbc57dbb7, "pin_user_pages_fast" },
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x8fa31da4, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xfbfcb779, "misc_deregister" },
	{ 0xb4dafa87, "iommu_device_claim_dma_owner" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xea32c8a6, "iommu_group_get" },
	{ 0x599411f, "pin_user_pages_remote" },
	{ 0x3b0a7311, "iommu_iova_to_phys" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x556962a7, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x92dcfec7, "fget" },
	{ 0x7b721a33, "__put_task_struct" },
	{ 0xa3b0d5d6, "__xas_next" },
	{ 0x3e17de6e, "xas_find" },
	{ 0xec36f5d3, "unpin_user_pages" },
	{ 0xd11bac17, "check_zeroed_user" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x69849033, "unpin_user_page_range_dirty_lock" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x75e61017, "__account_locked_vm" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xbe118c52, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x947cd02a, "iova_bitmap_alloc" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x5efdd68b, "__tracepoint_mmap_lock_released" },
	{ 0x7e30d70c, "iommu_group_replace_domain" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x8a35c410, "kthread_use_mm" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x73a9d96, "iommu_detach_group" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7429297b, "interval_tree_span_iter_next" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2ddb834b, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x92f0ef43, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x6e1d7dc5, "iommu_domain_free" },
	{ 0xd2510a63, "up_write" },
	{ 0x8bef4838, "iommu_get_msi_cookie" },
	{ 0x7f291183, "xas_store" },
	{ 0xe49ab325, "iommu_domain_alloc" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x211c6e70, "iommu_unmap" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x5bd674f4, "xas_load" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x7bfe1b99, "iova_bitmap_for_each" },
	{ 0xfac19588, "__clear_user" },
	{ 0x7b6edec8, "iommu_device_release_dma_owner" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xe8a487ff, "_dev_warn" },
	{ 0x2c320096, "misc_register" },
	{ 0xa4bd8339, "unpin_user_page" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xea4549c0, "iommu_put_resv_regions" },
	{ 0x103bafd6, "down_read" },
	{ 0xcea80c7c, "__mmdrop" },
	{ 0xaa7a1f77, "__xa_cmpxchg" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x612d258f, "__mmap_lock_do_trace_start_locking" },
	{ 0x78eec328, "iommu_get_resv_regions" },
	{ 0x387e516b, "mmput" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x835d25b9, "param_ops_bool" },
	{ 0x42ae6d99, "xa_find" },
	{ 0xc1e6986e, "interval_tree_span_iter_first" },
	{ 0xbd628752, "__tracepoint_mmap_lock_start_locking" },
	{ 0x4f3de34, "__mmap_lock_do_trace_released" },
	{ 0xe70e184a, "xa_store" },
	{ 0x67561c21, "set_page_dirty_lock" },
	{ 0x3f9275b4, "device_iommu_capable" },
	{ 0x5fa4ce72, "xas_nomem" },
	{ 0xec81859b, "iommu_map" },
	{ 0x8b9deb90, "free_uid" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x94213ed8, "kthread_unuse_mm" },
	{ 0x76517f03, "interval_tree_span_iter_advance" },
	{ 0x2ee7700e, "kmalloc_trace" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0x15b3a57c, "iommu_attach_group" },
	{ 0x6d49c8ed, "iommu_group_has_isolated_msi" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x1ad5e728, "kmalloc_caches" },
	{ 0x27420c59, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "08D30D0E2BE59479A1A375C");
MODULE_INFO(rhelversion, "9.5");
