#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0x0e34966a, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0xf3c29ca8, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0x825ee2d6, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0x0fc6a88b, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0xda38971f, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0x8fa8ccc7, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0xf54de1b7, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0x3c16a306, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0x64f93d1b, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0x714e76de, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0xc02cb572, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0xad454ff8, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0x34d912fd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xadf7e9c9, "try_module_get" },
	{ 0xfbfcb779, "misc_deregister" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x98de1c15, "snprintf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x92997ed8, "_printk" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x78281589, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xde248fc1, "_dev_info" },
	{ 0xdfaee7de, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xe484f91c, "key_put" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x8e5c6619, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0x9166010, "device_create" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x85abc85f, "strncmp" },
	{ 0x4e939232, "class_unregister" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x4b549813, "__nvme_submit_sync_cmd" },
	{ 0xe8a487ff, "_dev_warn" },
	{ 0x2c320096, "misc_register" },
	{ 0x30418cfc, "nvme_auth_wait" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x103bafd6, "down_read" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x6b3dfd27, "seq_read" },
	{ 0x85df9b6c, "strsep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x45d3c773, "memdup_user_nul" },
	{ 0x44e9a829, "match_token" },
	{ 0x3258726d, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe7ca6ecf, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xbd6b3c80, "seq_puts" },
	{ 0xcfb1798a, "single_release" },
	{ 0x2ee7700e, "kmalloc_trace" },
	{ 0x645995d3, "key_lookup" },
	{ 0x4dbba665, "single_open" },
	{ 0x555ccb97, "up_read" },
	{ 0x44566c71, "class_register" },
	{ 0x1ad5e728, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xef2ce009, "nvme_auth_negotiate" },
	{ 0x27420c59, "module_layout" },
};

MODULE_INFO(depends, "nvme-core");


MODULE_INFO(srcversion, "ACB38E70EF27876E0CF5ADE");
MODULE_INFO(rhelversion, "9.5");
