#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6fde7774, "crypto_alloc_ahash" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x8fa31da4, "vmemmap" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0xfbee8316, "tls_alert_recv" },
	{ 0x99195cb9, "ip_sock_set_tos" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd820e3c, "nvmet_req_complete" },
	{ 0x2522b190, "kernel_bind" },
	{ 0x56d0189f, "sock_create" },
	{ 0xfee69309, "tls_server_hello_psk" },
	{ 0x10eddc57, "tls_handshake_cancel" },
	{ 0x1f99cef7, "tls_get_record_type" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x5b29ef40, "kernel_accept" },
	{ 0x843d2024, "kernel_recvmsg" },
	{ 0x4dfbf43c, "sock_alloc_file" },
	{ 0x9d775e44, "sock_set_priority" },
	{ 0xda499efc, "crypto_destroy_tfm" },
	{ 0x49565914, "nvmet_sq_destroy" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x98e2693b, "kernel_sendpage" },
	{ 0x5ff723da, "nvmet_unregister_transport" },
	{ 0x2de125c0, "page_frag_alloc_align" },
	{ 0x1db112b5, "nvmet_req_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x92f0ef43, "fput" },
	{ 0x1641ee61, "__traceiter_sk_data_ready" },
	{ 0x3ca91d, "init_net" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x224ba0e3, "kernel_getpeername" },
	{ 0x784da3c9, "kernel_getsockname" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xfdc6887, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xbea982ba, "nvmet_register_transport" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x65986700, "inet_pton_with_scope" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe15e4c49, "sock_set_reuseaddr" },
	{ 0x5aeb4055, "iov_iter_bvec" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xa9eb529f, "crypto_ahash_digest" },
	{ 0xe798236d, "jiffies" },
	{ 0x51aa4837, "__page_frag_cache_drain" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x11c86780, "kernel_listen" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x8750e820, "nvmet_sq_init" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x66a79221, "sock_recvmsg" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xabddec01, "sock_release" },
	{ 0x81b51225, "tcp_sock_set_nodelay" },
	{ 0xacb45dcb, "nvmet_ctrl_fatal_error" },
	{ 0x1a79193, "nvmet_req_uninit" },
	{ 0x2ee7700e, "kmalloc_trace" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x81552506, "param_ops_int" },
	{ 0x5f80f47b, "param_get_int" },
	{ 0xe613a798, "inet_addr_is_any" },
	{ 0x971b3c10, "kernel_sendmsg" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x3e0ef07a, "nvmet_wq" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x1ad5e728, "kmalloc_caches" },
	{ 0x9e85acd9, "sock_no_linger" },
	{ 0x27420c59, "module_layout" },
};

MODULE_INFO(depends, "nvmet");


MODULE_INFO(srcversion, "1D9D12F8E5D7CA48AC5BC6C");
MODULE_INFO(rhelversion, "9.5");
