#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdb17a2a4, "set_capacity_and_notify" },
	{ 0xebc82335, "set_disk_ro" },
	{ 0x7ca8eebe, "scsi_print_sense_hdr" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x6ee6aec5, "blk_integrity_register" },
	{ 0x3a8d2a80, "mark_hardware_unmaintained" },
	{ 0x8fa31da4, "vmemmap" },
	{ 0x5feb78c2, "scsi_mode_sense" },
	{ 0x88d2620d, "bpf_trace_run4" },
	{ 0x2e5e851d, "blk_queue_logical_block_size" },
	{ 0x8b10ee32, "scsi_device_get" },
	{ 0x8b092992, "dev_set_name" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x1f990225, "device_add_disk" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xdbb2afc6, "trace_raw_output_prep" },
	{ 0xe5fbbfba, "device_unregister" },
	{ 0x1508a58, "trace_event_printf" },
	{ 0xf7370f56, "system_state" },
	{ 0xdd849d51, "scsi_get_sense_info_fld" },
	{ 0x99ea6a28, "scsi_get_vpd_page" },
	{ 0x7018484c, "device_initialize" },
	{ 0x74678de8, "t10_pi_type1_crc" },
	{ 0xec1c4702, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0xbdac4265, "blk_queue_write_cache" },
	{ 0x495c8059, "scsicam_bios_param" },
	{ 0xf0cd2b4, "blk_mq_alloc_disk_for_queue" },
	{ 0xedede482, "event_triggers_call" },
	{ 0x9c7a5ffc, "kmem_cache_create" },
	{ 0xb0710b1d, "get_device" },
	{ 0xbd51d4c7, "scsi_command_normalize_sense" },
	{ 0xc24e1d4b, "mempool_free" },
	{ 0xb3d2c76d, "scsi_hostbyte_string" },
	{ 0x30385c1c, "blk_integrity_unregister" },
	{ 0x52dfe31d, "blk_queue_required_elevator_features" },
	{ 0xc13dd4da, "scsi_device_set_state" },
	{ 0xde83285, "trace_event_buffer_commit" },
	{ 0x48cdf5aa, "scsi_test_unit_ready" },
	{ 0xeae81d1e, "scsi_block_when_processing_errors" },
	{ 0x92997ed8, "_printk" },
	{ 0xd79134e3, "scsi_register_driver" },
	{ 0xe9f53826, "mempool_create" },
	{ 0xf38bdbfe, "__blk_req_zone_write_unlock" },
	{ 0x9158b092, "put_disk" },
	{ 0xf90fa522, "scsi_ioctl" },
	{ 0x311d0bfa, "blk_queue_physical_block_size" },
	{ 0x78281589, "put_device" },
	{ 0x884b8cd2, "trace_event_ignore_this_pid" },
	{ 0x6ab6951b, "blk_queue_max_zone_append_sectors" },
	{ 0xd0f635c4, "blk_queue_flag_set" },
	{ 0xfc725a04, "mempool_alloc" },
	{ 0x13969550, "disk_set_zoned" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd13cfff6, "blk_queue_flag_clear" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x57fb9500, "scsi_device_put" },
	{ 0x39af2ce3, "t10_pi_type3_crc" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x7381a69b, "t10_pi_type3_ip" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xd046b845, "perf_trace_run_bpf_submit" },
	{ 0xf13d57aa, "blk_revalidate_disk_zones" },
	{ 0x8da32332, "device_add" },
	{ 0x48a91171, "string_get_size" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x93b134ff, "sdev_prefix_printk" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x85abc85f, "strncmp" },
	{ 0x3c3bc6dc, "scsi_report_opcode" },
	{ 0x3170d206, "trace_event_reg" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x7486ab37, "driver_unregister" },
	{ 0xaf3dd7dc, "scsi_logging_level" },
	{ 0x4e939232, "class_unregister" },
	{ 0x82ea8e2b, "del_gendisk" },
	{ 0x790d7e23, "blk_queue_max_discard_sectors" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x9f1e221f, "kmalloc_large" },
	{ 0x8f332158, "blk_queue_zone_write_granularity" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xe47349a9, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xd96de8cb, "__sysfs_match_string" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x531aeb55, "param_ops_string" },
	{ 0xedae76c4, "disk_alloc_independent_access_ranges" },
	{ 0x779fbcb0, "scsi_alloc_sgtables" },
	{ 0x9d509dca, "init_opal_dev" },
	{ 0xe798236d, "jiffies" },
	{ 0x659c8e00, "scsi_print_command" },
	{ 0x9421ce80, "bpf_trace_run3" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x26c0fa8d, "blk_queue_alignment_offset" },
	{ 0xd7d72d08, "blk_queue_chunk_sectors" },
	{ 0x1e22b5b8, "blk_queue_max_write_zeroes_sectors" },
	{ 0x31b382e, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x424fb0a1, "scmd_printk" },
	{ 0xb05c732c, "scsi_execute_cmd" },
	{ 0xca235ae3, "scsi_free_sgtables" },
	{ 0xa8c24cc8, "disk_set_independent_access_ranges" },
	{ 0xef4b469e, "scsi_mode_select" },
	{ 0x266294c, "mempool_destroy" },
	{ 0x443cc45d, "disk_check_media_change" },
	{ 0x6dfb3142, "blk_queue_io_min" },
	{ 0xa1e66bf2, "scsi_ioctl_block_when_processing_errors" },
	{ 0xc63a314b, "blkdev_compat_ptr_ioctl" },
	{ 0x2ee7700e, "kmalloc_trace" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x941f5fb, "t10_pi_type1_ip" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x44566c71, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8606666, "blk_queue_rq_timeout" },
	{ 0x7ee9199d, "scsi_failures_reset_retries" },
	{ 0xe4fcec6, "blk_req_zone_write_trylock" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x1ad5e728, "kmalloc_caches" },
	{ 0x1ea0cf3f, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x8b885e0b, "scsi_set_medium_removal" },
	{ 0x27420c59, "module_layout" },
};

MODULE_INFO(depends, "t10-pi");


MODULE_INFO(srcversion, "2AC5D924F6A81DED708641B");
MODULE_INFO(rhelversion, "9.5");
