#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_session, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0xeddac62b, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0xbb161172, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0x770a5857, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0x8409568c, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0x6f83cb19, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0xe39ed956, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0x4cade92c, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0xb3cd09ff, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0xc00a4ef5, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0xb6d7985f, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0x6dcd8b7d, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0xb5ab1170, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x89a527d0, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x2a51335b, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x5e9805f8, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0xa73ba6f4, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0xc179daf9, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0xcd182f56, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0xae290805, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0xd510396f, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0xfabf4a35, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xd046b845, "perf_trace_run_bpf_submit" },
	{ 0x31b382e, "trace_event_buffer_reserve" },
	{ 0xde83285, "trace_event_buffer_commit" },
	{ 0xedede482, "event_triggers_call" },
	{ 0x884b8cd2, "trace_event_ignore_this_pid" },
	{ 0xdbb2afc6, "trace_raw_output_prep" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x1508a58, "trace_event_printf" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x567d409, "bpf_trace_run1" },
	{ 0x31dd00e3, "bpf_trace_run2" },
	{ 0xcb15ba44, "udp_sock_create6" },
	{ 0xfdc6887, "kernel_sock_shutdown" },
	{ 0xabddec01, "sock_release" },
	{ 0xa63f29f4, "sock_create_kern" },
	{ 0x2522b190, "kernel_bind" },
	{ 0xa32b9c28, "kernel_connect" },
	{ 0xdb124fd2, "udp_sock_create4" },
	{ 0x3043593a, "register_pernet_device" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0x19758bf, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x236c8c64, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3761d215, "idr_find" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1ad5e728, "kmalloc_caches" },
	{ 0x2ee7700e, "kmalloc_trace" },
	{ 0x38762c8, "idr_get_next_ul" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0xe7be6125, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x684ba1b7, "kfree_skb_reason" },
	{ 0x7f4aa34c, "skb_dequeue" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x38493a8b, "idr_alloc_u32" },
	{ 0xd4b5593f, "sockfd_lookup" },
	{ 0x87ec74c2, "lock_sock_nested" },
	{ 0x2458fded, "release_sock" },
	{ 0x92f0ef43, "fput" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0x595df62f, "setup_udp_tunnel_sock" },
	{ 0xe798236d, "jiffies" },
	{ 0x2087c4c6, "skb_queue_tail" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c2b9f4c, "__pskb_pull_tail" },
	{ 0x74dc78b5, "pskb_expand_head" },
	{ 0x3625fd16, "udp_set_csum" },
	{ 0xfad58fb8, "ip_queue_xmit" },
	{ 0x3a777437, "udp6_set_csum" },
	{ 0xc8dbf27f, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x4f6f3bc6, "dst_release" },
	{ 0x3170d206, "trace_event_reg" },
	{ 0xec1c4702, "trace_event_raw_init" },
	{ 0x27420c59, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "F1D231D13EA7EC0112E9574");
MODULE_INFO(rhelversion, "9.5");
