#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0xb453d712, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0xc19ffae5, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x596c0305, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x47c43ef4, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0x2720982e, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0xb88d8504, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x907938e6, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0xa53dc4bb, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x1451ef86, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0xe5ae23a6, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0xdf213785, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0x89db4e53, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0x85e953ed, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x2dd5ce09, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0xa72663bd, "");
SYMBOL_CRC(nf_nat_follow_master, 0x29f76995, "");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0xb4dd5103, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0x3a28a3ec, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0xc3874aa5, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x163a4fdb, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0xbc5fe4a3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7d3cdb75, "nf_ct_ext_add" },
	{ 0x65f2b21f, "__do_once_done" },
	{ 0xa1e893ad, "nf_conntrack_find_get" },
	{ 0xadf7e9c9, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7a8e5218, "nf_ip6_checksum" },
	{ 0xb53b5966, "skb_copy_bits" },
	{ 0x8e3d97a0, "nf_hook_entries_insert_raw" },
	{ 0x83035d52, "xfrm_lookup" },
	{ 0xe2f8ab73, "nf_ct_seqadj_set" },
	{ 0x120d923, "skb_put" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x27874f6a, "nf_ct_helper_expectfn_unregister" },
	{ 0xd6878a8, "__xfrm_decode_session" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x17132953, "nf_ct_helper_expectfn_register" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xce462daa, "ip6_route_me_harder" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x74dc78b5, "pskb_expand_head" },
	{ 0x54cb61d3, "register_pernet_subsys" },
	{ 0x6e4bfcb7, "nf_conntrack_tuple_taken" },
	{ 0x92997ed8, "_printk" },
	{ 0x827e6b94, "nf_ct_iterate_cleanup_net" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8ecd4c1f, "ipv6_skip_exthdr" },
	{ 0xe388c718, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xdfaee7de, "module_put" },
	{ 0xf8908c92, "ipv6_dev_get_saddr" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0x6ec9dde5, "nf_conntrack_alter_reply" },
	{ 0x7bdff42, "ip_route_me_harder" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x4cdcf4bf, "nf_hook_entries_delete_raw" },
	{ 0xdffd16dd, "skb_ensure_writable" },
	{ 0x585b22a6, "nf_unregister_net_hooks" },
	{ 0x335203b4, "inet_select_addr" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x651f6056, "unregister_pernet_subsys" },
	{ 0x28260b3a, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xe086be41, "nf_ct_delete" },
	{ 0x3672ace0, "nf_ip_checksum" },
	{ 0x3967a46c, "register_btf_kfunc_id_set" },
	{ 0x8fcb5af4, "nf_ct_iterate_destroy" },
	{ 0x5bfbf018, "inet_proto_csum_replace16" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x3d985107, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x414e4ea1, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x77760866, "inet_proto_csum_replace4" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x4f6f3bc6, "dst_release" },
	{ 0x672d635e, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0x7c9340e2, "nf_nat_hook" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x2ee7700e, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0x1ad5e728, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x27420c59, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c");


MODULE_INFO(srcversion, "5D07C82BEF2DE6FA1CA9CCD");
MODULE_INFO(rhelversion, "9.5");
