#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mpt_fwfault_debug, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_get_num_paths, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg1, "", "");
KSYMTAB_FUNC(mpt_set_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_clear_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_halt_firmware, "", "");
KSYMTAB_FUNC(mpt_Soft_Hard_ResetHandler, "", "");
KSYMTAB_FUNC(mpt_attach, "", "");
KSYMTAB_FUNC(mpt_detach, "", "");
KSYMTAB_DATA(ioc_list, "", "");
KSYMTAB_FUNC(mpt_register, "", "");
KSYMTAB_FUNC(mpt_deregister, "", "");
KSYMTAB_FUNC(mpt_event_register, "", "");
KSYMTAB_FUNC(mpt_event_deregister, "", "");
KSYMTAB_FUNC(mpt_reset_register, "", "");
KSYMTAB_FUNC(mpt_reset_deregister, "", "");
KSYMTAB_FUNC(mpt_device_driver_register, "", "");
KSYMTAB_FUNC(mpt_device_driver_deregister, "", "");
KSYMTAB_FUNC(mpt_get_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame_hi_pri, "", "");
KSYMTAB_FUNC(mpt_free_msg_frame, "", "");
KSYMTAB_FUNC(mpt_send_handshake_request, "", "");
KSYMTAB_FUNC(mpt_verify_adapter, "", "");
KSYMTAB_FUNC(mpt_GetIocState, "", "");
KSYMTAB_FUNC(mpt_print_ioc_summary, "", "");
KSYMTAB_FUNC(mpt_HardResetHandler, "", "");
KSYMTAB_FUNC(mpt_config, "", "");
KSYMTAB_FUNC(mpt_findImVolumes, "", "");
KSYMTAB_FUNC(mpt_alloc_fw_memory, "", "");
KSYMTAB_FUNC(mpt_free_fw_memory, "", "");
KSYMTAB_FUNC(mptbase_sas_persist_operation, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg0, "", "");

SYMBOL_CRC(mpt_fwfault_debug, 0x502108d0, "");
SYMBOL_CRC(mpt_raid_phys_disk_get_num_paths, 0x713f0f26, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg1, 0x226376d3, "");
SYMBOL_CRC(mpt_set_taskmgmt_in_progress_flag, 0x564c77b7, "");
SYMBOL_CRC(mpt_clear_taskmgmt_in_progress_flag, 0x68232fd0, "");
SYMBOL_CRC(mpt_halt_firmware, 0x342612af, "");
SYMBOL_CRC(mpt_Soft_Hard_ResetHandler, 0xd05b4362, "");
SYMBOL_CRC(mpt_attach, 0x2545f750, "");
SYMBOL_CRC(mpt_detach, 0x61548239, "");
SYMBOL_CRC(ioc_list, 0xdd805159, "");
SYMBOL_CRC(mpt_register, 0x1775f352, "");
SYMBOL_CRC(mpt_deregister, 0x981efe92, "");
SYMBOL_CRC(mpt_event_register, 0x7be0d7ed, "");
SYMBOL_CRC(mpt_event_deregister, 0xe6c1e126, "");
SYMBOL_CRC(mpt_reset_register, 0xd01e5027, "");
SYMBOL_CRC(mpt_reset_deregister, 0x610b257e, "");
SYMBOL_CRC(mpt_device_driver_register, 0x4faffdb7, "");
SYMBOL_CRC(mpt_device_driver_deregister, 0x74a0134a, "");
SYMBOL_CRC(mpt_get_msg_frame, 0x8bfe12c5, "");
SYMBOL_CRC(mpt_put_msg_frame, 0xc58b076b, "");
SYMBOL_CRC(mpt_put_msg_frame_hi_pri, 0x51cb96f1, "");
SYMBOL_CRC(mpt_free_msg_frame, 0x89d3984a, "");
SYMBOL_CRC(mpt_send_handshake_request, 0x7b664ca8, "");
SYMBOL_CRC(mpt_verify_adapter, 0x1cf7c32b, "");
SYMBOL_CRC(mpt_GetIocState, 0x053279f4, "");
SYMBOL_CRC(mpt_print_ioc_summary, 0x8c6c8daf, "");
SYMBOL_CRC(mpt_HardResetHandler, 0x43d4d58e, "");
SYMBOL_CRC(mpt_config, 0xef514817, "");
SYMBOL_CRC(mpt_findImVolumes, 0x3581b9d4, "");
SYMBOL_CRC(mpt_alloc_fw_memory, 0xc0a9eb9f, "");
SYMBOL_CRC(mpt_free_fw_memory, 0x1bea4649, "");
SYMBOL_CRC(mptbase_sas_persist_operation, 0xa5cafa7a, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg0, 0x6c8ce5f8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x672144bd, "strlcpy" },
	{ 0x92997ed8, "_printk" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x8bded20f, "zpci_load" },
	{ 0x98de1c15, "snprintf" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x236c8c64, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe7ca6ecf, "seq_printf" },
	{ 0x3186a3ab, "pci_stop_and_remove_bus_device_locked" },
	{ 0x3d0fd49e, "dma_free_attrs" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x9b50347a, "pci_select_bars" },
	{ 0xfff8da6b, "pci_enable_device_mem" },
	{ 0xbd4400fa, "pci_request_selected_regions" },
	{ 0xd8242661, "dma_get_required_mask" },
	{ 0xf58405a8, "dma_set_mask" },
	{ 0x8aa5715a, "dma_set_coherent_mask" },
	{ 0xf31c0d52, "ioremap" },
	{ 0x9a60bf26, "pci_disable_device" },
	{ 0xb541d059, "pci_release_selected_regions" },
	{ 0x14b6857, "pci_get_slot" },
	{ 0xa3388fd, "pci_dev_put" },
	{ 0x5d2f7057, "remove_proc_entry" },
	{ 0xaca0aef0, "complete" },
	{ 0xe9b56dc3, "param_set_int" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x991df521, "dma_alloc_attrs" },
	{ 0x218a2a03, "seq_putc" },
	{ 0x7d0858e8, "proc_mkdir" },
	{ 0xca815195, "proc_create_single_data" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x37a0cba, "kfree" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf1e046cc, "panic" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe798236d, "jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x57350bb, "pci_read_config_word" },
	{ 0x8756a4f1, "pci_write_config_word" },
	{ 0xb983a4d9, "pci_enable_device" },
	{ 0xf6713cb6, "pci_enable_msi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x85be3eb4, "pci_set_master" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xd534b793, "pci_disable_msi" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x1ad5e728, "kmalloc_caches" },
	{ 0x2ee7700e, "kmalloc_trace" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x1d5cf5f4, "kthread_create_on_node" },
	{ 0xeb2e411d, "wake_up_process" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{  0xabdbe, "pci_read_config_byte" },
	{ 0x62c69552, "pci_write_config_byte" },
	{ 0xedc03953, "iounmap" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x5f80f47b, "param_get_int" },
	{ 0x81552506, "param_ops_int" },
	{ 0x27420c59, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DD095FF600E3738EEA65610");
MODULE_INFO(rhelversion, "9.5");
