#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x2126c9dd, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0xe9f76e37, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x5e376e51, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0xa683e136, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x721a4a08, "ether_setup" },
	{ 0x9a231c14, "__ethtool_get_link_ksettings" },
	{ 0x7724900f, "ethtool_get_ts_info_by_layer" },
	{ 0x3ca91d, "init_net" },
	{ 0xa8848580, "generic_hwtstamp_set_lower" },
	{ 0x2529ab4b, "generic_hwtstamp_get_lower" },
	{ 0xde75c67f, "dev_mc_del" },
	{ 0x13190e80, "dev_uc_del" },
	{ 0x72d516ac, "dev_mc_add_excl" },
	{ 0x34d18c8e, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xbc1f4d3c, "__netpoll_free" },
	{ 0x1ad5e728, "kmalloc_caches" },
	{ 0x2ee7700e, "kmalloc_trace" },
	{ 0x453385ac, "vlan_vid_del" },
	{ 0xcf9d76f3, "vlan_vid_add" },
	{ 0xef5ced94, "dev_set_allmulti" },
	{ 0x8cb85073, "dev_set_promiscuity" },
	{ 0xa5bfcfe6, "dev_uc_unsync" },
	{ 0x88704ca3, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xd744c5b, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x684ba1b7, "kfree_skb_reason" },
	{ 0x236c8c64, "memcpy" },
	{ 0xf781f8c3, "dev_set_mac_address" },
	{ 0x37a0cba, "kfree" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xec1bd4f5, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf12862fc, "rtnl_link_unregister" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xb4ca6ede, "__netpoll_setup" },
	{ 0xa0c406b5, "dev_uc_add" },
	{ 0x92fd98a8, "call_netdevice_notifiers" },
	{ 0x38b62f4e, "netif_inherit_tso_max" },
	{ 0x77bafb3b, "netdev_update_features" },
	{ 0x6bcf9633, "netif_stacked_transfer_operstate" },
	{ 0x2b3dd8fd, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x1fe75196, "unregister_netdevice_queue" },
	{ 0x48169c14, "netdev_upper_dev_unlink" },
	{ 0xaa233be2, "__dev_get_by_index" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5ff5b2c4, "netdev_is_rx_handler_busy" },
	{ 0xc6c0d90e, "netdev_rx_handler_register" },
	{ 0x65ef5e61, "register_netdevice" },
	{ 0x6a680a4e, "netdev_upper_dev_link" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x20eee293, "linkwatch_fire_event" },
	{ 0xd5b327a1, "dev_uc_sync" },
	{ 0x6e7d4b54, "dev_mc_sync" },
	{ 0x195f63a8, "netif_rx" },
	{ 0x39c3b2ee, "skb_clone" },
	{ 0xe67c8b92, "__dev_forward_skb" },
	{ 0x595e8a7c, "__dev_queue_xmit" },
	{ 0x908cfb29, "dev_forward_skb" },
	{ 0xfc9293db, "netpoll_send_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3fcb557b, "consume_skb" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x800473f, "__cond_resched" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xea8d310a, "__netif_rx" },
	{ 0x45b1f7b3, "ip_check_defrag" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9fb80b44, "netdev_core_stats_alloc" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0xdc4ad1dd, "passthru_features_check" },
	{ 0xb3583953, "eth_validate_addr" },
	{ 0xe6b44391, "ndo_dflt_fdb_dump" },
	{ 0x8575459f, "eth_header_parse" },
	{ 0x19a2a893, "eth_header_cache" },
	{ 0xfa93dddb, "eth_header_cache_update" },
	{ 0x10103d66, "ethtool_op_get_link" },
	{ 0x27420c59, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4A479C3EDF9BA879384689D");
MODULE_INFO(rhelversion, "9.5");
