#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");

SYMBOL_CRC(hsr_get_version, 0xa0044348, "");
SYMBOL_CRC(is_hsr_master, 0x1dbe2aad, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2b3dd8fd, "dev_set_mtu" },
	{ 0x7fe9c8cd, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xf8b1b06, "eth_header" },
	{ 0x120d923, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x77bafb3b, "netdev_update_features" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xec1bd4f5, "rtnl_link_register" },
	{ 0x4e075775, "genlmsg_put" },
	{ 0x236c8c64, "memcpy" },
	{ 0xa8b60ec5, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0x8cb85073, "dev_set_promiscuity" },
	{ 0x52eecfbe, "seq_lseek" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x8b6a65ba, "netdev_warn" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x1fe75196, "unregister_netdevice_queue" },
	{ 0x52f49d43, "netlink_ack" },
	{ 0x4134a152, "netdev_state_change" },
	{ 0x5eec3591, "__pskb_copy_fclone" },
	{ 0xa5bfcfe6, "dev_uc_unsync" },
	{ 0x721a4a08, "ether_setup" },
	{ 0x7325f400, "netlink_broadcast_filtered" },
	{ 0x4eb9fe17, "netdev_err" },
	{ 0x6a680a4e, "netdev_upper_dev_link" },
	{ 0x9fb80b44, "netdev_core_stats_alloc" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd744c5b, "netdev_rx_handler_unregister" },
	{ 0x8575459f, "eth_header_parse" },
	{ 0x9ecfe8b9, "__alloc_skb" },
	{ 0xe50b7f1, "skb_copy_expand" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xaa233be2, "__dev_get_by_index" },
	{ 0xf12862fc, "rtnl_link_unregister" },
	{ 0x3ca91d, "init_net" },
	{ 0x7f056c9b, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x74cc8de9, "mark_tech_preview" },
	{ 0x7934f94, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xdbb714c3, "dev_get_by_index_rcu" },
	{ 0x684ba1b7, "kfree_skb_reason" },
	{ 0x6023e2f4, "netdev_printk" },
	{ 0x822c6db, "skb_push" },
	{ 0xf941405e, "debugfs_remove" },
	{ 0x48169c14, "netdev_upper_dev_unlink" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x3c2b9f4c, "__pskb_pull_tail" },
	{ 0x195f63a8, "netif_rx" },
	{ 0xdf8c7a3a, "__netdev_alloc_skb" },
	{ 0x407524dd, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe798236d, "jiffies" },
	{ 0x6b3dfd27, "seq_read" },
	{ 0x48d18d4e, "debugfs_rename" },
	{ 0x3d25223c, "debugfs_create_file" },
	{ 0x595e8a7c, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x92fd98a8, "call_netdevice_notifiers" },
	{ 0xef5ced94, "dev_set_allmulti" },
	{ 0xa3509ddc, "dev_base_lock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc58ce7de, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe7ca6ecf, "seq_printf" },
	{ 0x39c3b2ee, "skb_clone" },
	{ 0x75568a13, "netif_carrier_on" },
	{ 0xc6c0d90e, "netdev_rx_handler_register" },
	{ 0xbd6b3c80, "seq_puts" },
	{ 0xcfb1798a, "single_release" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x202afa91, "genl_unregister_family" },
	{ 0xb66c8a66, "dev_disable_lro" },
	{ 0x2ee7700e, "kmalloc_trace" },
	{ 0x96b8d073, "dev_kfree_skb_any_reason" },
	{ 0x4dbba665, "single_open" },
	{ 0xb2a45e04, "debugfs_create_dir" },
	{ 0x88704ca3, "dev_mc_unsync" },
	{ 0x2a61ade, "genl_register_family" },
	{ 0x1ad5e728, "kmalloc_caches" },
	{ 0x8f603bd4, "netdev_info" },
	{ 0x1fbc3a84, "dev_mc_sync_multiple" },
	{ 0x65ef5e61, "register_netdevice" },
	{ 0x27420c59, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "52FB6D90CB0A1620587042C");
MODULE_INFO(rhelversion, "9.5");
