#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0xbaa308d5, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x1ca4913d, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x2700cf35, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x269debf2, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x9ad041b6, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x52e642d4, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x2cbcf4b7, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x73dfbc1d, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x4a63bd4e, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0xa79125e4, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0xaac5a639, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0xaa92c0f9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x39e78a28, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x838552ae, "ipv6_chk_addr_and_flags" },
	{ 0xdbb714c3, "dev_get_by_index_rcu" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x3043593a, "register_pernet_device" },
	{ 0xacc48e40, "xfrm6_tunnel_register" },
	{ 0xec1bd4f5, "rtnl_link_register" },
	{ 0xc6c1a136, "xfrm6_tunnel_deregister" },
	{ 0x19758bf, "unregister_pernet_device" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x1fe75196, "unregister_netdevice_queue" },
	{ 0xfba2145, "rt6_lookup" },
	{ 0x4f6f3bc6, "dst_release" },
	{ 0xaa233be2, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x770557e5, "ip_tunnel_header_ops" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x3ca91d, "init_net" },
	{ 0x9f465c08, "alloc_netdev_mqs" },
	{ 0x1fa1fd37, "register_netdev" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x236c8c64, "memcpy" },
	{ 0xe8550c27, "free_netdev" },
	{ 0xf12862fc, "rtnl_link_unregister" },
	{ 0xd30dad20, "ip6_local_out" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x869243c6, "gro_cells_init" },
	{ 0xb53b5966, "skb_copy_bits" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x3c2b9f4c, "__pskb_pull_tail" },
	{ 0x65ef5e61, "register_netdevice" },
	{ 0xe798236d, "jiffies" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x4134a152, "netdev_state_change" },
	{ 0x67ed7853, "dst_cache_get" },
	{ 0xc398e50, "ip6_route_output_flags" },
	{ 0x83035d52, "xfrm_lookup" },
	{ 0x108308de, "skb_scrub_packet" },
	{ 0xd8459f30, "skb_realloc_headroom" },
	{ 0x96b16954, "skb_set_owner_w" },
	{ 0x3fcb557b, "consume_skb" },
	{ 0x4e7d1507, "ipv6_push_frag_opts" },
	{ 0x822c6db, "skb_push" },
	{ 0xf8908c92, "ipv6_dev_get_saddr" },
	{ 0x332c0369, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1b0579ff, "ip6_dst_hoplimit" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xbf660249, "neigh_destroy" },
	{ 0x3993080b, "make_kuid" },
	{ 0x12cdd78, "iptunnel_handle_offloads" },
	{ 0x6bf979, "icmpv6_ndo_send" },
	{ 0xff77b7df, "icmp_ndo_send" },
	{ 0x684ba1b7, "kfree_skb_reason" },
	{ 0x7ecb0e87, "ip6_redirect" },
	{ 0x2fcca7a2, "ip6_update_pmtu" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x39c3b2ee, "skb_clone" },
	{ 0x7f056c9b, "skb_pull" },
	{ 0x1202d499, "icmp6_send" },
	{ 0x47926f4e, "gro_cells_receive" },
	{ 0x5e776f86, "eth_type_trans" },
	{ 0x3a157d11, "__xfrm_policy_check" },
	{ 0x52c3bee9, "__iptunnel_pull_header" },
	{ 0x43f7d5a8, "metadata_dst_alloc" },
	{ 0xd0ec4bfe, "ip_route_output_flow" },
	{ 0x21a0e9de, "ip_route_input_noref" },
	{ 0x47fad355, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xd133136a, "ns_capable" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xa32f4a7d, "dev_get_tstats64" },
	{ 0x835d25b9, "param_ops_bool" },
	{ 0x27420c59, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "E63607BE2950ABF28990274");
MODULE_INFO(rhelversion, "9.5");
