#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ieee802154_alloc_hw, "", "");
KSYMTAB_FUNC(ieee802154_free_hw, "", "");
KSYMTAB_FUNC(ieee802154_register_hw, "", "");
KSYMTAB_FUNC(ieee802154_unregister_hw, "", "");
KSYMTAB_FUNC(ieee802154_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee802154_wake_queue, "", "");
KSYMTAB_FUNC(ieee802154_stop_queue, "", "");
KSYMTAB_FUNC(ieee802154_xmit_complete, "", "");

SYMBOL_CRC(ieee802154_alloc_hw, 0xeac31be0, "");
SYMBOL_CRC(ieee802154_free_hw, 0x392fcd80, "");
SYMBOL_CRC(ieee802154_register_hw, 0x9e48bd2f, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0x2e73cacc, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0xd9e58331, "");
SYMBOL_CRC(ieee802154_wake_queue, 0x14b9c491, "");
SYMBOL_CRC(ieee802154_stop_queue, 0xaf239fa3, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0x768a9ef4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc402a29a, "crypto_skcipher_encrypt" },
	{ 0xbc82b3dd, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x88d2620d, "bpf_trace_run4" },
	{ 0x120d923, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x3fcb557b, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xdbb2afc6, "trace_raw_output_prep" },
	{ 0x7f4aa34c, "skb_dequeue" },
	{ 0x1508a58, "trace_event_printf" },
	{ 0xcd172c2e, "hrtimer_init" },
	{ 0xc03c868, "dev_alloc_name" },
	{ 0xec1c4702, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xf47b0c7a, "crypto_alloc_aead" },
	{ 0x31dd00e3, "bpf_trace_run2" },
	{ 0x8b6a65ba, "netdev_warn" },
	{ 0xa7836f51, "crypto_aead_setauthsize" },
	{ 0x33ab7ea4, "crypto_aead_decrypt" },
	{ 0xedede482, "event_triggers_call" },
	{ 0x7e821ba1, "crc_ccitt" },
	{ 0x5997f425, "crypto_skcipher_setkey" },
	{ 0x1fe75196, "unregister_netdevice_queue" },
	{ 0x167f935b, "ieee802154_hdr_peek_addrs" },
	{ 0xb6dcc69e, "wpan_phy_unregister" },
	{ 0xde83285, "trace_event_buffer_commit" },
	{ 0xda499efc, "crypto_destroy_tfm" },
	{ 0x9f465c08, "alloc_netdev_mqs" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x884b8cd2, "trace_event_ignore_this_pid" },
	{ 0x3b936b59, "crypto_skcipher_decrypt" },
	{ 0xe50b7f1, "skb_copy_expand" },
	{ 0x2087c4c6, "skb_queue_tail" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xc0e15999, "crypto_aead_setkey" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xd046b845, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5b86d447, "wpan_phy_register" },
	{ 0x152d8ea1, "crypto_aead_encrypt" },
	{ 0x684ba1b7, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x822c6db, "skb_push" },
	{ 0x3aba672a, "ieee802154_hdr_peek" },
	{ 0xe5179fa, "wpan_phy_free" },
	{ 0x7e2ce093, "netif_receive_skb" },
	{ 0x3170d206, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xe8550c27, "free_netdev" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x567d409, "bpf_trace_run1" },
	{ 0x92af893b, "netif_tx_wake_queue" },
	{ 0xe8a487ff, "_dev_warn" },
	{ 0x87bbece9, "hrtimer_start_range_ns" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x9cd52b79, "ieee802154_hdr_pull" },
	{ 0x2b2fe9a6, "crypto_alloc_sync_skcipher" },
	{ 0x407524dd, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x77a1c8f, "__dynamic_netdev_dbg" },
	{ 0x9421ce80, "bpf_trace_run3" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x31b382e, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x6ef8c489, "wpan_phy_new" },
	{ 0x39c3b2ee, "skb_clone" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xeb72b825, "hrtimer_cancel" },
	{ 0xdf7b720a, "ieee802154_hdr_push" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x2ee7700e, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x96b8d073, "dev_kfree_skb_any_reason" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x1ad5e728, "kmalloc_caches" },
	{ 0x65ef5e61, "register_netdevice" },
	{ 0x27420c59, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "46960314F983F83CB5B47F0");
MODULE_INFO(rhelversion, "9.5");
